@media print
{
  .no-print, .no-print * {
    display: none !important;
  }

  body {
    background-color: #fff;
  }

  * { overflow: visible !important; }

  #page-wrapper {
    margin: 0em auto !important;
  }

  .page-heading {
    padding-bottom: 5px;
  }

  .ibox {
    margin-bottom: 8px;
  }

  .ibox-title {
    padding: 5px 15px 5px;
    height: 20px;
  }

  .ibox-content {
    padding-top: 4px;
    padding-bottom: 4px;
  }

  .wrapper .lqa-report-header.no-print {
    background: #fff !important;
    padding: 0 !important;
  }

  .wrapper .lqa-print-header {
    margin-top: 0;
  }

  .lqa-print-header h1 {
    margin-top: 0;
  }

  h2 {
    margin-top: 0px;
  }

  #lqa-new-score {
    font-size: 1.5em !important;
  }

  div[id^='data-field-select-'] > .form-group > .col-sm-2, div[id^='data-field-text-'] > .form-group > .col-sm-2, div[id^='data-field-textarea-'] > .form-group > .col-sm-2 {
    padding: 0;
  }

  div[id^='data-field-select-'] > .form-group > .col-sm-10, div[id^='data-field-text-'] > .form-group > .col-sm-10, div[id^='data-field-textarea-'] > .form-group > .col-sm-10 {
    padding-top: 0;
  }

  /*.note-editor .col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12 {
    position: relative;
    min-height: 1px;
    padding-left: 5px;
    padding-right: 5px;
  }*/

  /*.col-sm-10 {
    padding-right: 30px;
  }*/

  /*.col-lg-12 {
    padding-right: 30px;
  }*/

  .form-horizontal .control-label {
    padding-top: 0;
  }

  .lqa-score-box-cant-edit-checked {
    font-size: 1.3em;
  }

  .vos-lqa-score-box label, .vos-lqa-boolean-box label {
    cursor: pointer;
    display: block;
    padding: 0;
    margin: 0;
    line-height: 1;
  }

  .vos-lqa-title-raw, .vos-lqa-comment-raw {
    display: inline;
    line-height: 0.9;
  }

}

.vos-lqa-score-box, .vos-lqa-boolean-box {
    display: table-cell;
    text-align: center;
    background: rgba(119, 136, 153, 0.39);
    border-radius: 0.4em;
    vertical-align: middle;
    width: 20%;
    position: relative;
    border-top: 0;
    border-bottom: 0;
    margin: 1% 0;
}

.vos-lqa-score-box label, .vos-lqa-boolean-box label {
    cursor: pointer;
    display: block;
    padding: 15%;
}
.vos-lqa-score-box input {
    cursor: pointer;
}

.vos-lqa-score, .vos-lqa-boolean {
    display: table;
    width: 100%;
    border-spacing: 4px 0;
	  color:#fff;
}
.vos-lqa-comment-input {
	  /*margin-top: 4%;*/
    /*height: 75px;
    font-size: 10px;*/
}
.vos-lqa-select {
	  margin-top: 0;
    width:auto;
}
.vos-lqa-boolean {
    width: 40%;
}
.vos-lqa-boolean-box {
    display: table-cell;
    width: 50%;
}
.lqa-report-date {
    overflow:hidden;
    padding:1em;
    margin:2em 0;
    background-color:#fff;
}
.lqa-report-date .hr-line-dashed {
    display:none;
}
.vos-lqa-boolean-box-yes { background: rgba(28, 132, 198, 0.8);}
.vos-lqa-boolean-box-yes:hover { background: rgb(28, 132, 198);}
.vos-lqa-boolean-box-no { background: rgba(237, 85, 101, 0.8);}
.vos-lqa-boolean-box-no:hover { background: rgb(237, 85, 101);}

/*
.vos-lqa-score-box-0:hover { background: rgb(26, 179, 148);}
.vos-lqa-score-box-1:hover { background: rgb(63, 174, 152);}
.vos-lqa-score-box-2:hover { background: rgb(106, 174, 161);}
.vos-lqa-score-box-3:hover { background: rgb(135, 176, 167);}
.vos-lqa-score-box-4:hover { background: rgb(158, 176, 172);}

.vos-lqa-score-box-0 { background: rgba(26, 179, 148, 0.8);}
.vos-lqa-score-box-1 { background: rgba(63, 174, 152, 0.8);}
.vos-lqa-score-box-2 { background: rgba(106, 174, 161, 0.8);}
.vos-lqa-score-box-3 { background: rgba(135, 176, 167, 0.8);}
.vos-lqa-score-box-4 { background: rgba(158, 176, 172, 0.8);}
*/

.vos-lqa-score-box-0:hover { background: rgb(204, 255, 255);}
.vos-lqa-score-box-1:hover { background: rgb(255, 215, 0);}
.vos-lqa-score-box-2:hover { background: rgb(230, 232, 250);}
.vos-lqa-score-box-3:hover { background: rgb(140, 120, 83);}
.vos-lqa-score-box-4:hover { background: rgb(0, 0, 0);}

.vos-lqa-score-box-0 { background: rgba(204, 255, 255, 0.8); color:#555;}
.vos-lqa-score-box-1 { background: rgba(255, 215, 0, 0.8); color:#555;}
.vos-lqa-score-box-2 { background: rgba(230, 232, 250, 0.8); color:#555;}
.vos-lqa-score-box-3 { background: rgba(140, 120, 83, 0.8);}
.vos-lqa-score-box-4 { background: rgba(0, 0, 0, 0.8);}

.lqa-score-box-cant-edit {
	opacity: 0.3;
}
.lqa-score-box-cant-edit-checked {
	opacity: 1;
	font-size: 1.4em;
}
.vos-availability-row > div {
	padding: 0 1%;
}
.fc-event-container {
	line-height:1.6;
}
.vos-animate-in {
	opacity: 0;
	transform: translateY( -100px );
	transition: transform 500ms, opacity 500ms;
}
.vos-animate-in-go {
	transform: translateY( 0 );
	opacity: 1;
}
.vos-reservation-table td {
	padding-bottom: 0.3em;
}
.vos-reservation-table td:first-child {
	font-weight:bold;
	padding-right:1em;
}
.chart-legend {
	border: 1px solid #E0E0E0;
	padding: 0.8em 1.9em 1em;
	box-shadow: 0.5em 0.5em 0.5em rgba(0, 0, 0, 0.05);
	margin: 1em;
	width: 17em;
}
.chart-legend-color {
	width: 2em;
	height: 2em;
	display:inline-block;
	position:relative;
	top: 0.7em;
	margin-right: 0.7em;
}
.ibox-content img {
	max-width:100%;
	height: auto;
}
.vos-reservation-cancelled, .vos-reservation-cancelled tr {
	background-color: #FFE6E6 !important;
	opacity: 0.9;
}
.vos-reservation-cancelled [data-cancel-reservation] {
	display:none;
}
.lqa-past-due {
  background-color: #ffeaea !important;
}
.lqa-past-due:nth-child(2n+1) {
  background-color: #ffd9d9 !important;
}
.lqa-past-due .lqa-next-report a {
  color: #C00;
  font-weight:bold;
}

/* Back To Top */
.cd-top {
  display: inline-block;
  height: 40px;
  width: 40px;

  position: fixed;
  bottom: 40px;
  right: 10px;

  box-shadow: 0 0 10px rgba(0, 0, 0, .05);

  /* image replacement properties */
  overflow: hidden; 
  text-indent: 100%;
  white-space: nowrap;

  background: rgba(26, 179, 148, 0.8) url(../cd-top-arrow.svg) no-repeat center 50%;

  visibility: hidden;
  opacity: 0;
  outline: none;

  -webkit-transition: opacity .3s 0s, visibility 0s .3s;
  -moz-transition: opacity .3s 0s, visibility 0s .3s;
  transition: opacity .3s 0s, visibility 0s .3s;

}

.cd-top:focus { 
    outline: none; 
}

.cd-top.cd-is-visible, .cd-top.cd-fade-out, .cd-top:hover {
  -webkit-transition: opacity .3s 0s, visibility 0s 0s;
  -moz-transition: opacity .3s 0s, visibility 0s 0s;
  transition: opacity .3s 0s, visibility 0s 0s;
}

.cd-top.cd-is-visible { /* the button becomes visible */
  visibility: visible;
  opacity: 1;
}

.cd-top.cd-fade-out { /* if the user keeps scrolling down, the button is out of focus and becomes less visible */
  opacity: .5;
}

.cd-top:hover {
  background-color: rgba(26, 179, 148, 1);
  opacity: 1;
}

@media screen and (min-width: 768px) {
  .cd-top {
    right: 20px;
    bottom: 20px;
  }
}
    
@media screen and (min-width: 1024px) {
  .cd-top {  
    height: 60px;
    width: 60px;
    right: 30px;
    bottom: 30px;
  }
}

@media print {
  #page-wrapper {
    margin: 1em auto !important;
    max-width: 860px;
  }
  .navbar,
  .navbar-default,
  .breadcrumb,
  .lqa-renovation-btn {
    display: none !important;
  }
  .wrapper-content {
    padding: 0;
    margin: 0;
    width: 830px;
  }
  .row .col-lg-8 {
    width: 860px;
  }
  .col-lg-4 .ibox { /* Hides Update LQA button on view page */
    display:none;
  }
  .row .col-lg-8 .ibox .ibox-title {
    display:none;
  }
  .row .col-lg-8 .ibox .ibox-content  {
    padding:0;
  }
  .lqa-report-date {
    padding: 0;
    margin: 0;
  }
  .lqa-report-date > .form-group > .col-sm-2 {
    width: 145px;
    margin:5px 0 0 0;
    text-align:right;
    padding: 0px 0px 6px 0px;
    float:left;
    display: inline;
  }
  .lqa-report-date > .form-group > .col-sm-10 {
    width: 675px;
    margin:0 0 0 0px;
    padding: 5px 0 6px 0;
    display: inline;
    float: right;
  }
  #data-field-select-0 > .form-group > .col-sm-2, #data-field-text-0 > .form-group > .col-sm-2, #data-field-textarea-0 > .form-group > .col-sm-2, #data-field-textarea-1 > .form-group > .col-sm-2, #data-field-boolean-0 > .form-group > .col-sm-2  {
    width: 160px;
    margin:0;
    float:left;
    padding: 8px 0 6px 0;
    display: inline;
  }
  #data-field-select-0 > .form-group > .col-sm-10, #data-field-text-0 > .form-group > .col-sm-10, #data-field-textarea-0 > .form-group > .col-sm-10, #data-field-textarea-1 > .form-group > .col-sm-10, #data-field-boolean-0 > .form-group > .col-sm-10  {
    width: 640px;
    margin:0;
    padding: 8px 0 0 10px;
    float:right;
    display: inline;
  }
  div[id^='data-field-select-'] > .form-group > .col-sm-2, div[id^='data-field-text-'] > .form-group > .col-sm-2, div[id^='data-field-textarea-'] > .form-group > .col-sm-2 {
    width: 160px;
    margin:0;
    float:left;
    padding: 8px 0 6px 0;
    display: inline;
    padding: 0;
  }
  div[id^='data-field-select-'] > .form-group > .col-sm-10, div[id^='data-field-text-'] > .form-group > .col-sm-10, div[id^='data-field-textarea-'] > .form-group > .col-sm-10 {
    width: 700px;
    margin:0;
    padding: 8px 0 0 10px;
    display: inline;
    float:right;
    padding-top: 0;
  }
  .col-sm-2 {
    float: left;
    text-align:right;
    display: inline;
    width: 226px;
  }
  .col-sm-10 {
    display: inline;
    float:right;
    width: 594px;
  }
  div[id^='vos-lqa-score-'] {
    position:relative;
    left: 0px;
    width:246px;
    display: inline;
    float:left;
  }
  div[id^='vos-lqa-comment-'] {
    display: inline;
    width:330px;
    float:right;
    padding:0;
    margin:0 10px 0 0;
  }
  .well {
    margin-top: 0px;
    width:200px;
    margin-bottom: 0px;
    padding:5px;
  }
  #data-field-boolean-0 {
    display: none;
  }
  div[id^='data-field-boolean-'] {
    display: none;
  }
  .form-group {
    margin:0;
    padding:0;
  }
  .hr-line-dashed {
    margin:3px 0 3px 0;
  }
  .vos-lqa-complete-buttons { /* Hides Delete/Continue buttons for sections */
    display:none;
  }
  .vos-lqa-score-box label, .vos-lqa-boolean-box label {
    width:38px;
  }
  .vos-lqa-score-box, .vos-lqa-boolean-box {
      display: table-cell;
      text-align: center;
      background: rgba(119, 136, 153, 0.39);
      border-radius: 0.4em;
      vertical-align: middle;
      width: 60px;
      position: relative;
      border-top: 0;
      border-bottom: 0;
      margin: 5px 0;
  }

  .vos-lqa-score-box label, .vos-lqa-boolean-box label {
      cursor: pointer;
      display: block;
      padding: 2px;
  }
  .vos-lqa-score-box input {
      cursor: pointer;
  }

  .vos-lqa-score, .vos-lqa-boolean {
      display: table;
      width: 60px;
      border-spacing: 4px 0;
  	  color:#fff;
  }
  .vos-lqa-comment-input {
  	  margin-top: 4%;
  }
  .vos-lqa-select {
  	  margin-top: 0;
      width:auto;
      height: 23px;
  }
  .vos-lqa-boolean {
      width: 48px;
  }
  .vos-lqa-boolean-box {
      display: table-cell;
      width: 60px;
  }
  .lqa-report-date .hr-line-dashed {
      display:none;
  }
  .lqa-report-header {
    text-align:center !important;
    background-color:#304051 !important;
    padding:10px 0 10px 0 !important;
    display:block !important;
  }
  .vos-lqa-boolean-box-yes { background: rgba(28, 132, 198, 0.8) !important;}
  .vos-lqa-boolean-box-yes:hover { background: rgb(28, 132, 198) !important;}
  .vos-lqa-boolean-box-no { background: rgba(237, 85, 101, 0.8) !important;}
  .vos-lqa-boolean-box-no:hover { background: rgb(237, 85, 101) !important;}

  .vos-lqa-score-box-0:hover { background: rgb(204, 255, 255) !important;}
  .vos-lqa-score-box-1:hover { background: rgb(255, 215, 0) !important;}
  .vos-lqa-score-box-2:hover { background: rgb(230, 232, 250) !important;}
  .vos-lqa-score-box-3:hover { background: rgb(140, 120, 83) !important;}
  .vos-lqa-score-box-4:hover { background: rgb(0, 0, 0) !important;}

  .vos-lqa-score-box-0 { background: rgba(204, 255, 255, 0.8) !important; color:#555 !important;}
  .vos-lqa-score-box-1 { background: rgba(255, 215, 0, 0.8) !important; color:#555 !important;}
  .vos-lqa-score-box-2 { background: rgba(230, 232, 250, 0.8) !important; color:#555 !important;}
  .vos-lqa-score-box-3 { background: rgba(140, 120, 83, 0.8) !important;}
  .vos-lqa-score-box-4 { background: rgba(0, 0, 0, 0.8) !important;}

  .lqa-score-box-cant-edit {
  	opacity: 0.3;
  }
  .lqa-score-box-cant-edit-checked {
  	opacity: 1;
  	font-size: 1.4em;
  }
  .vos-availability-row > div {
  	padding: 0 1%;
  }
  .fc-event-container {
  	line-height:1.6;
  }
  .vos-animate-in {
  	opacity: 0;
  	transform: translateY( -100px );
  	transition: transform 500ms, opacity 500ms;
  }
  .vos-animate-in-go {
  	transform: translateY( 0 );
  	opacity: 1;
  }
  .vos-reservation-table td {
  	padding-bottom: 0.3em;
  }
  .vos-reservation-table td:first-child {
  	font-weight:bold;
  	padding-right:1em;
  }
  .chart-legend {
  	border: 1px solid #E0E0E0;
  	padding: 0.8em 1.9em 1em;
  	box-shadow: 0.5em 0.5em 0.5em rgba(0, 0, 0, 0.05);
  	margin: 1em;
  	width: 17em;
  }
  .chart-legend-color {
  	width: 2em;
  	height: 2em;
  	display:inline-block;
  	position:relative;
  	top: 0.7em;
  	margin-right: 0.7em;
  }
  .ibox-content img {
  	max-width:800px;
  	height: auto;
  }
  .vos-reservation-cancelled, .vos-reservation-cancelled tr {
  	background-color: #FFE6E6 !important;
  	opacity: 0.9;
  }
  .vos-reservation-cancelled [data-cancel-reservation] {
  	display:none;
  }
  .lqa-past-due {
    background-color: #ffeaea !important;
  }
  .lqa-past-due:nth-child(2n+1) {
    background-color: #ffd9d9 !important;
  }
  .lqa-past-due .lqa-next-report a {
    color: #C00;
    font-weight:bold;
  }

}
